variables:
  DOCKER_TLS_CERTDIR: ""
  DB_HOST: $DB_HOST
docker-build-master:
  # Official docker image.
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - echo $ENV_FILE
    - cp $ENV_FILE .env
    - docker build --pull -t "$CI_REGISTRY_IMAGE":prod .
    - docker push "$CI_REGISTRY_IMAGE":prod
